#pragma once

#include "texture.h"

typedef struct Atlas
{
	Texture texture;
	ivec2 frameSize;
	ivec2 size; /* rows and columns */
	s32 index;
} Atlas;

static const ivec2 ATLAS_SIZE_DEFAULT = {1, 1};

void atlas_init(Atlas* atlas, Texture texture, const ivec2 frameSize, const ivec2 size);
void atlas_uv_get(Atlas* atlas, vec2 uvMin, vec2 uvMax);
